Projects: Collaborations¶
List All Collaborators¶
GET /api/projects/{project-id}/collaborators
OAuth authorization required: projects_read
Schema
collaborations: Arrayid: Integercollaborator: Objectid: Integeremail: Stringfull_name: String
View Collaborator¶
GET /api/projects/{project-id}/collaborators/{id}
OAuth authorization required: projects_read
Schema
collaboration: Objectid: Integerproject: Objectid: Integername: String
collaborator: Objectid: Integeremail: Stringfull_name: String
resource_owner: Objectid: Integeremail: Stringfull_name: String
Create Collaborator Request¶
POST /api/projects/{project-id}/collaborators
OAuth authorization required: projects_write
Schema
collaborator: Objectuser_email: String
Remove Collaborator¶
DELETE /api/projects/{project-id}/collaborators/{id}
OAuth authorization required: projects_write